package ucot.input;

import java.net.URL;

import ucot.ModuleProperties;
import ucot.core.Core;
import ucot.exceptions.FileFormatNotSupportedException;

/**
 * DummyInput which does absolutely nothing but helps avoiding
 * null values in input variables.
 * 
 * @author UCOT
 */
public class DummyInput extends ModuleProperties implements InputInterface {
	
	/* (non-Javadoc)
	 * @see ucot.input.InputInterface#read(java.net.URL)
	 */
	public UseCaseCollection read(URL url) throws Exception {
		throw new FileFormatNotSupportedException(Core.FILEFORMAT_NOT_SUPPORTED_ERROR);
	}
	
	/* (non-Javadoc)
	 * @see ucot.input.InputInterface#canRead(java.net.URL)
	 */
	public boolean canRead(URL url) { return false;	}

}
