package ucot.output;
import java.io.IOException;
import java.net.URL;

import ucot.ModulePropertyInterface;
import ucot.model.AnalyzeModel;



//TODO comment the general usage of this interface better
//and other related tasks that the interface has to do

/**
 * Interface for outputs used by UCOT.
 * Outputs store analyzemodel to a given url. Each Output component stores
 * analyze model in a different way/format.
 * @author vevijopi
 *
 */
public interface OutputInterface extends ModulePropertyInterface {
	/**
	 * Outputs analyze model.
	 * @param analyzeModel Analyze model to output.
	 */
	public void output(AnalyzeModel analyzeModel, URL url) throws IOException;
	
	/**
	 * Returns adapter's name.
	 * @return Adapter's name.
	 */
	public String getName();
	
}
