package ucot.parser;

import java.util.List;
import java.util.Vector;
/**
 * Word of a sentence.
 * @author panu
 *
 */
public class Word {

    private String original;
    
    private String basicForm;

    private String wordClass;

    private List<Link> links;

    public Word(String basicForm, String wordClass) {
        this.basicForm = basicForm;
        this.original = basicForm;
        this.wordClass = wordClass;
        links = new Vector<Link>();
    }

    public void addLink(Link l) {
        links.add(l);
    }

    public List<Link> getLinks() {
        List<Link> ret = new Vector<Link>();
        ret.addAll(links);
        return ret;
    }

    public List<Link> getLinks(String name) {
        List<Link> ret = new Vector<Link>();
        for (Link link : links) {
            if (link.getName().equals(name)) {
                ret.add(link);
            }
        }
        return ret;
    }

    public Link getLink(String name) {
        List<Link> links = getLinks(name);
        if (links.size() > 0) {
            return links.get(0);
        } else {
            return null;
        }

    }
    
    public Word getLinked(String name) {
        Link link = getLink(name);
        return  null == link ? null : link.getTo();

    }

    public boolean RemoveLink(Link l) {
        return links.remove(l);
    }

    public String getBasicForm() {
        return basicForm;
    }

    public void setBasicForm(String basicForm) {
        this.basicForm = basicForm;
    }

    public String getWordClass() {
        return wordClass;
    }

    public void setWordClass(String wordClass) {
        this.wordClass = wordClass;
    }
    
    public String toString() {
        StringBuffer buffer = new StringBuffer();
        buffer.append(this.basicForm + " (" + this.wordClass);
        if (links.size() >0 ) buffer.append(" " + links);
        buffer.append(")");

        return buffer.toString();
    }

    public String getOriginal() {
        return original;
    }

    public void setOriginal(String original) {
        this.original = original;
    }

}
