package ucot.ui;

import ucot.input.UseCase;

/**
 * <pre>public interface <b>UseCasePanelInterface</b></pre>
 * 
 * <p><code>Interface</code> for panel wich shows use case steps
 * from given <code>UseCase</code>.</p>
 * 
 * @author ilanliuk
 *
 */
public interface UseCasePanelInterface {

    /**
     * <p>Method for giving the panel <code>UseCase</code> to show.</p>
     * 
     * @param usecase <code>UseCase</code> to show.
     */
    public void showUseCase(UseCase usecase);
    
    /**
     * <p>Clears the use case from the panel</p>
     *
     */
    public void Clear();
    
    /**
     * <p>Call to notify panel to refresh itself.</p>
     *
     */
    public void refresh();
        
    
}
